import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Form, Input } from 'antd'

// import './index.scss'

class SettingForm extends Component {
  static propTpyes = {
    inputSubmit: PropTypes.func  // 回车事件
  }

  handleConfirm = () => {
    // 表单提交时检查输入值是否正确
    return new Promise((resolve, reject) => {
      this.props.form.validateFieldsAndScroll((err, values) => {
        if (!err) {
          resolve(values)
        } else {
          reject(err)
        }
      })
    })
  }

  handleSubmit = (e) => {
    e.preventDefault()

    if (this.props.inputSubmit) {
      this.props.inputSubmit()
    }
  }

  componentDidMount() {
    try {
      let _input = document.getElementById('field')
      if (_input.focus) {
        _input.focus()
      }
    } catch (e) {
      console.warn('focus error！')
    }
  }

  render() {
    const { getFieldDecorator } = this.props.form

    const formItemLayout = {
      labelCol: {
        xs: { span: 24 },
        sm: { span: 8 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 14 }
      }
    }

    return (
      <div className="url-field-form">
        <Form {...formItemLayout}>
          <Form.Item label="字段名">
            {getFieldDecorator('field', {
              initialValue: '',
              rules: [
                {
                  required: true,
                  message: '请输入字段名!'
                },
                {
                  pattern: /^[a-zA-Z0-9_]*$/ig,
                  message: '字段可使用英文、数字或_'
                }
              ]
            })(<Input placeholder={''} autoComplete="off" onPressEnter={this.handleSubmit} />)}
          </Form.Item>
        </Form>
      </div>
    )
  }
}

export default Form.create()(SettingForm)